<m-media--theatre
  [object]="entity"
  *ngIf="entity && entity.subtype == 'image'"
></m-media--theatre>
<div class="mdl-grid media-grid" style="max-width:900px" *ngIf="error">
  <h1>{{ error }}</h1>
</div>

<form (submit)="save()" class="mdl-grid media-grid" style="max-width:660px">
  <div class="mdl-cell mdl-cell--12-col minds-media-title">
    <minds-textarea
      name="name"
      [(mModel)]="entity.title"
      class="m-h1-input"
      placeholder="Title..."
      i18n-placeholder="@@MINDS__MEDIA__TITLE_INPUT_PLACEHOLDER"
    ></minds-textarea>
  </div>

  <minds-media-thumbnail-selector
    (thumbnail)="setThumbnail($event)"
    [entity]="entity"
    [thumbnailSrc]="entity.thumbnail_src"
    *ngIf="entity && entity.subtype == 'video'"
  >
  </minds-media-thumbnail-selector>

  <div class="mdl-cell mdl-cell--12-col">
    <m-inline-editor
      name="description"
      [(ngModel)]="entity.description"
      placeholder="Go ahead and write some content!"
      i18n-placeholder="@@MEDIA__EDIT__INLINE_EDITOR_PLACEHOLDER"
      #inlineEditor
    ></m-inline-editor>
  </div>

  <div class="mdl-cell mdl-cell--12-col">
    <button
      class="m-button m-button--text m-button--submit"
      i18n="@@M__ACTION__SAVE"
    >
      Save
    </button>
  </div>

  <div
    class="mdl-cell mdl-cell--12-col m-additional-block mdl-color-text--blue-grey-200"
  >
    <div class="m-license-info">
      <i class="material-icons">public</i>
      <select
        name="license"
        [ngModel]="entity.license"
        (change)="entity.license = $event.target.value"
        class="mdl-color-text--blue-grey-300 m-form-select"
      >
        <option *ngFor="let l of licenses" [value]="l.value">{{
          l.text
        }}</option>
      </select>
    </div>
    <div class="m-visibility-info">
      <i class="material-icons">visibility</i>
      <select
        name="access_id"
        [ngModel]="entity.access_id"
        (change)="entity.access_id = $event.target.value"
        class="mdl-color-text--blue-grey-300 m-form-select"
      >
        <option *ngFor="let a of access" [value]="a.value">{{ a.text }}</option>
      </select>
    </div>
    <div class="m-mature-info">
      <a
        class="mdl-color-text--blue-grey-300 m-capture-mature"
        (click)="entity.mature = entity.mature ? 0 : 1"
      >
        <i
          class="material-icons"
          [ngClass]="{ 'mdl-color-text--red-500': entity.mature }"
          title="Mature content"
          i18n-title="@@M__COMMON__MATURE_CONTENT"
          >explicit</i
        >

        <span [ngClass]="{ 'mdl-color-text--red-500': entity.mature }">
          <ng-container *ngIf="entity.mature" i18n="@@M__COMMON__MATURE_CONTENT"
            >Mature Content</ng-container
          >
          <ng-container
            *ngIf="!entity.mature"
            i18n="@@MINDS__MEDIA__ANYONE_LABEL"
            >Anyone</ng-container
          >
        </span>
      </a>
    </div>
  </div>
</form>
